Bug 110873 - fontconfig 2.4.2 upgrade breaks font caching and Dejavu fonts in KDE
Summary: fontconfig 2.4.2 upgrade breaks font caching and Dejavu fonts in KDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-26 19:10 UTC by moose@opera.com
Modified: 2007-04-14 08:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description moose@opera.com 2007-03-26 19:10:10 UTC
Previous version of fontconfig was 2.3.2. No font problems on 6.2-STABLE with KDE 3.5.6 installed, all ports up to date. Update to fontconfig 2.4.2 breaks anti-aliasing and display of Dejavu Sans fonts, as well as produces broken cache.

Backing out fontconfig manually to 2.3.2 fixes the problem. Actually, you can manually fetch 2.4.0 and 2.4.1 sources, adjust the x11-fonts/fontconfig/ Makefile and distinfo files, and build 2.4.1 with no detriment to font caching and display.

There is a change between 2.4.1 and 2.4.2 which breaks DejaVu fonts. Font ports:

bitstream-vera-1.10_3 
dejavu-2.15

When Dejavu is manually reinstalled, this error message appears:

===> Running fc-cache
/usr/X11R6/bin/fc-cache -f -v /usr/X11R6/lib/X11/fonts/dejavu
/usr/X11R6/lib/X11/fonts/dejavu: caching, 21 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: c5f5d66d15c24edc3e863c27139db87e-x86-64.cache-2: cache outdated: /usr/X11R6/lib/X11/fonts
/root/.fontconfig: cleaning cache directory
/usr/X11R6/bin/fc-cache: succeeded

Cache outdated. 

Cleaning the cache manually, running fc-cache -f -v as root, cleaning /var/db/fontconfig/* does not help. Dejavu Sans is broken (rainbow-colored, barely visible). Cache is unhealthy unless you revert to 2.4.1 or earlier.

How-To-Repeat: Upgrade fontconfig from 2.3.2 to 2.4.2 on a KDE system with DejaVu fonts used in the UI.
Comment 1 Tilman Keskinoz freebsd_committer 2007-03-27 17:34:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Let fontconfig maintainers have a look
Comment 2 Joe Marcus Clarke freebsd_committer 2007-04-14 06:53:25 UTC
State Changed
From-To: open->feedback

Does the patch at http://www.marcuscom.com/downloads/patch-fc-git correct 
this problem?  Note: this patch should be copied to x11-fonts/fontconfig/files.
Comment 3 moose@opera.com 2007-04-14 08:08:37 UTC
> Does the patch at http://www.marcuscom.com/downloads/patch-fc-git  
> correct this problem? Note: this patch should be copied to  
> x11-fonts/fontconfig/files.

Yes, the problem on amd64 is gone with this patch. _Thank you_.
Comment 4 dfilter service freebsd_committer 2007-04-14 08:25:20 UTC
marcus      2007-04-14 07:25:14 UTC

  FreeBSD ports repository

  Modified files:
    x11-fonts/fontconfig Makefile 
  Added files:
    x11-fonts/fontconfig/files patch-fc-git 
  Log:
  Sync fontconfig with the fd.o git repository to fix a bug rendering DejaVu
  fonts in Qt-based applications.
  
  PR:             110873
  Obtained from:  Freedesktop git (fontconfig module)
  
  Revision  Changes    Path
  1.66      +1 -1      ports/x11-fonts/fontconfig/Makefile
  1.1       +80 -0     ports/x11-fonts/fontconfig/files/patch-fc-git (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Joe Marcus Clarke freebsd_committer 2007-04-14 08:25:28 UTC
State Changed
From-To: feedback->closed

Fixed in latest fontconfig.